- issuable = local_assigns.fetch(:issuable)

- return unless issuable.is_a?(MergeRequest)
- return if issuable.closed_without_fork?

.form-group
  .col-sm-10.col-sm-offset-2
    - if issuable.can_remove_source_branch?(current_user)
      .checkbox
        = label_tag 'merge_request[force_remove_source_branch]' do
          = hidden_field_tag 'merge_request[force_remove_source_branch]', '0', id: nil
          = check_box_tag 'merge_request[force_remove_source_branch]', '1', issuable.force_remove_source_branch?
          Remove source branch when merge request is accepted.

    .checkbox
      = label_tag 'merge_request[squash]' do
        = hidden_field_tag 'merge_request[squash]', '0', id: nil
        = check_box_tag 'merge_request[squash]', '1', issuable.squash
        Squash commits when merge request is accepted.
        = link_to 'About this feature', help_page_path('user/project/merge_requests/squash_and_merge')
